MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029176Open CASCADE[OCCT] OCCT:DRAWpublic2017-10-03 09:252018-06-29 21:19
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029176: Exception while projection 2D-point on 2D-line
DescriptionSee Steps To Reproduce
Steps To Reproduceline ll 0 0 0 1
2dproj ll 0 0.0001
An exception was caught 000001B2575EF6C0 : Standard_NumericError: FLT INVALID OPERATION
** Exception ** 000001B2575EF6C0 : Standard_NumericError: FLT INVALID OPERATION
TagsNo tags attached.
Test case numbergeometry project A9
Attached Files

- Relationships

-  Notes
(0071143)
git (administrator)
2017-10-03 10:31

Branch CR29176 has been created by nbv.

SHA-1: 61883cc177f78560f89ed2cec28ca8c2d925cdc5


Detailed log of new commits:

Author: nbv
Date: Tue Oct 3 10:30:47 2017 +0300

    0029176: Exception while projection 2D-point on 2D-line
    
    DRAW-command "proj" has been changed. Now, it can return not only 2D-line as extrema but 2D-point.
(0071146)
msv (developer)
2017-10-03 12:06

The problem is in implementation of the command 2dproj. It attempts to create a trimmed line with zero length. It must create a point instead of line in case of input point lies exactly on the curve.
(0071151)
git (administrator)
2017-10-03 13:33

Branch CR29176 has been updated by nbv.

SHA-1: 8a24c4ac92628073be0158d5ef92ded118b7457c


Detailed log of new commits:

Author: nbv
Date: Tue Oct 3 13:31:10 2017 +0300

    Test case has been updated.

(0071159)
nbv (developer)
2017-10-03 15:55

Dear Mikhail,

Please review the current state of CR29176 branch.

Test results are here: http://jenkins-test-10.nnov.opencascade.com/view/CR29176-master_NBV [^]
(0071165)
msv (developer)
2017-10-03 16:33

src/GeomliteTest/GeomliteTest_API2dCommands.cxx
- 87: name new object "ext_" in any case.
Update test case accordingly.
(0071172)
git (administrator)
2017-10-03 18:18

Branch CR29176_1 has been created by nbv.

SHA-1: e979f0de4fc1f39c233e180520563f80470e19d0


Detailed log of new commits:

Author: nbv
Date: Tue Oct 3 10:30:47 2017 +0300

    0029176: Exception while projection 2D-point on 2D-line
    
    DRAW-command "2dproj" has been changed. Now, it can return not only 2D-line as extrema but 2D-point.
    
    Test case has been updated.
(0071177)
nbv (developer)
2017-10-04 09:35

Dear Mikhail,

Please review CR29176_1 branch.

Test results are here: http://jenkins-test-10.nnov.opencascade.com/view/CR29176-master_NBV/ [^]
(0071184)
msv (developer)
2017-10-04 11:16

Please correct according to verbal remarks.
(0071186)
git (administrator)
2017-10-04 11:17

Branch CR29176_1 has been updated forcibly by nbv.

SHA-1: e693fcf75e8d5c8a392fc6b248bfb7d1a4a65a9a
(0071192)
nbv (developer)
2017-10-04 13:18

Dear Mikhail,

Please review CR29176_1 branch.

Test results are here: http://jenkins-test-10.nnov.opencascade.com/view/CR29176-master_NBV [^]
(0071198)
msv (developer)
2017-10-04 15:38

Reviewed.
(0071205)
bugmaster (administrator)
2017-10-04 16:33

Combination -
OCCT branch :CR29176_1 SHA-1: e693fcf75e8d5c8a392fc6b248bfb7d1a4a65a9a
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case is OK
(0071478)
git (administrator)
2017-10-14 12:20

Branch CR29176 has been deleted by kgv.

SHA-1: 8a24c4ac92628073be0158d5ef92ded118b7457c
(0071479)
git (administrator)
2017-10-14 12:20

Branch CR29176_1 has been deleted by kgv.

SHA-1: e693fcf75e8d5c8a392fc6b248bfb7d1a4a65a9a

- Related Changesets
occt: master 23e8067c
Timestamp: 2017-10-03 07:30:47
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029176: Exception while projection 2D-point on 2D-line

DRAW-command "2dproj" has been changed. Now, it can return not only 2D-line as extrema but 2D-point.

Test case has been updated.
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - tests/bugs/modalg_6/bug27322 Diff ] File ]
add - tests/geometry/project/A9 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-03 09:25 nbv New Issue
2017-10-03 09:25 nbv Assigned To => msv
2017-10-03 09:26 nbv Assigned To msv => nbv
2017-10-03 09:26 nbv Status new => assigned
2017-10-03 10:31 git Note Added: 0071143
2017-10-03 12:06 msv Note Added: 0071146
2017-10-03 12:06 msv Category OCCT:Modeling Algorithms => OCCT:DRAW
2017-10-03 13:33 git Note Added: 0071151
2017-10-03 15:55 nbv Note Added: 0071159
2017-10-03 15:55 nbv Assigned To nbv => msv
2017-10-03 15:55 nbv Status assigned => resolved
2017-10-03 16:33 msv Note Added: 0071165
2017-10-03 16:33 msv Assigned To msv => nbv
2017-10-03 16:33 msv Status resolved => assigned
2017-10-03 18:18 git Note Added: 0071172
2017-10-04 09:35 nbv Note Added: 0071177
2017-10-04 09:35 nbv Assigned To nbv => msv
2017-10-04 09:35 nbv Status assigned => resolved
2017-10-04 11:16 msv Note Added: 0071184
2017-10-04 11:16 msv Assigned To msv => nbv
2017-10-04 11:16 msv Status resolved => assigned
2017-10-04 11:17 git Note Added: 0071186
2017-10-04 13:18 nbv Note Added: 0071192
2017-10-04 13:18 nbv Assigned To nbv => msv
2017-10-04 13:18 nbv Status assigned => resolved
2017-10-04 15:38 msv Note Added: 0071198
2017-10-04 15:38 msv Assigned To msv => bugmaster
2017-10-04 15:38 msv Status resolved => reviewed
2017-10-04 16:30 bugmaster Test case number => geometry project A9
2017-10-04 16:33 bugmaster Note Added: 0071205
2017-10-04 16:33 bugmaster Status reviewed => tested
2017-10-06 14:55 bugmaster Changeset attached => occt master 23e8067c
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:20 git Note Added: 0071478
2017-10-14 12:20 git Note Added: 0071479
2018-02-20 12:59 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker